### Method

# GUsb Context get_source

since: 0.1.0

#### Declaration

    GUsbSource*
    g_usb_context_get_source (
      GUsbContext* self,
      GMainContext* main_ctx
    )

#### Description

This function does nothing.

Available since: 0.1.0

#### Parameters

`main_ctx`

  Type: `GMainContext`

  A `GMainContext`, or `NULL`.

  The data is owned by the caller of the method.

#### Return value

Type: `GUsbSource`

The `GUsbSource`.

The returned data is owned by the instance.